## etcd 2.2.5%2Bdfsg

=== debian/changelog ===
etcd (2.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release [February 2016] (Closes: #814404).
  * Build-Depends:
    - golang-github-bradfitz-http2-dev
    - golang-golang-x-oauth2-dev
    - golang-google-cloud-compute-metadata-dev
    - golang-google-grpc-dev
    + golang-google-grpc-dev (>= 0.0~git20151002~)
    + golang-github-akrennmair-gopcap-dev
    + golang-pb-dev | golang-github-cheggaaa-pb-dev
    + golang-github-coreos-pkg-dev
    + golang-github-cpuguy83-go-md2man-dev
    + golang-github-kballard-go-shellquote-dev
    + golang-pty-dev
    + golang-github-russross-blackfriday-dev
    + golang-github-shurcool-sanitized-anchor-name-dev
    + golang-github-spacejam-loghisto-dev
    + golang-github-spf13-cobra-dev
    + golang-github-spf13-pflag-dev
  * Updated Vcs URLs (vcs-field-uses-insecure-uri).
  * Switch to bundled "github.com/gogo/protobuf".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 12 Feb 2016 11:23:57 +1100

etcd (2.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release [December 2015].
  * etcd.service: add "Alias=etcd2.service".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Jan 2016 17:32:15 +1100

etcd (2.2.2+dfsg-2) unstable; urgency=medium

  * Added goland dependencies to -dev package Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 16 Dec 2015 09:37:23 +1100

etcd (2.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release [November 2015].
  * Build-Depends:
    + golang-github-ugorji-go-codec-dev (>= 0.0~git20151112~).
    + golang-github-beorn7-perks-dev
  * init.d: log to syslog.
    + Depends += "pipexec".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 Nov 2015 09:58:16 +1100

etcd (2.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2015].
    - switch to bundled "github.com/ugorji/go" due to FTBFS.
  * Un-bundled "golang-google-grpc-dev".
  * Allow Etcd to notify systemd for readiness through service "Type=notify"
    (Closes: #800646). Thanks, Matthias Urlichs.
  * Dropped obsolete lintian-overrides.
  * Corrected "duplicate-short-description".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 28 Oct 2015 08:16:14 +1100

etcd (2.2.0+dfsg-2) unstable; urgency=medium

  * Build-Depends: swap alternatives to put non-existent packages last.
  * .service: less aggressive restart (on-failure --> on-abnormal).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 13 Sep 2015 14:44:36 +1000

etcd (2.2.0+dfsg-1) unstable; urgency=medium

  [ Tianon Gravi ]
  * Update a few old-style "golang-" Build-Depends values to use "|" with
    their new proper names to help with transitioning the dependencies.
    See https://bugs.debian.org/797903#10, for example.

  [ Dmitry Smirnov ]
  * New upstream release [September 2015].
  * Added etcd(1) man page.
  * Sorted list of packages in Build-Depends.
  * Build-Depends:
    + golang-github-coreos-go-systemd-dev
    + golang-golang-x-sys-dev
    - golang-mreiferson-httpclient-dev (unused).
    + golang-google-cloud-compute-metadata-dev
  * Provides:
    - golang-github-coreos-go-etcd-dev
    + golang-github-coreos-etcd-dev
  * rules: --parallel.
  * New annotated .default file "/etc/default/etcd".
  * Re-written init scripts.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 12 Sep 2015 03:12:52 +1000

etcd (2.1.3+dfsg2-1) unstable; urgency=medium

  * New upstream release [September 2015].
  * Build-Depends:
    + golang-golang-x-net-dev
    + golang-protobuf-extensions-dev
  * Provides: "golang-github-coreos-go-etcd-dev" (policy-compliant package).
  * Copyright: more Files-Excluded.
  * Added "etcdctl.1" man page.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 08 Sep 2015 15:47:20 +1000

etcd (2.1.2+dfsg1-1) unstable; urgency=medium

  * Upload to unstable (Closes: #788762).

  [ Jelmer Vernooij ]
  * Drop dependency on golang-raft, which is no longer used.

  [ Dmitry Smirnov ]
  * New upstream Release [August 2015].
  * Re-build .pb.go files.
  * control: updated Vcs-Browser URL.
  * postinst: check if user exist.
  * systemd/init.d/default:
    + use hostname as default instance name.
    + consistently load ETCD_NAME and DATA_DIR.
  * init.d:
    + added LSB descriptions.
    + added "status" support.
    + replaced "echo" with LSB functions.
    + stop daemon with "--retry=TERM/30/KILL/5" to fix restart.
  * rules:
    + always run tests but ignore failures.
    + invoke DH --with systemd.
  * rules/override_dh_clean: remove Files-Excluded.
  * cleanup_third_party: limit find scope for a little speed-up.
  * Build-Depends:
    - golang-gogoprotobuf-dev
    + golang-gogoprotobuf-dev (>= 0.0~git20150828~)
    + libprotobuf-dev
    + protobuf-compiler
    + golang-clockwork-dev
    + golang-procfs-dev
    + golang-github-bradfitz-http2-dev
    + golang-github-boltdb-bolt-dev
    + golang-github-google-btree-dev
    + golang-github-ugorji-go-codec-dev
    + golang-glog-dev
    + golang-go-semver-dev
    + golang-prometheus-client-dev
    + golang-go.crypto-dev
    + golang-golang-x-oauth2-dev
  * Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 02 Sep 2015 11:50:46 +1000

etcd (2.0.8-2) experimental; urgency=medium

  * Add support for setting up SSL in default config.
  * Fix service stop.
  * debian/rules: run tests on amd64.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 06 Apr 2015 21:22:41 +0000

etcd (2.0.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards version to 3.9.6 (no changes).
  * Add patch 01_race_amd64: only specify --race to test on amd64.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 17 Feb 2015 21:36:36 +0100

etcd (2.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #741065)

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 08 Mar 2014 15:45:59 +0000
