## etcd 2.2.5+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: etcd
 Section: devel
 Priority: extra
-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9) ,dh-golang (>= 1.6) ,dh-systemd
