## etcd 2.3.6+dfsg

=== debian/changelog ===
etcd (2.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release [May 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Jun 2016 00:05:45 +1000

etcd (2.3.5+dfsg-1) unstable; urgency=medium

  * New upstream release [May 2016].
  * Fixed Vcs-Git URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 May 2016 16:19:43 +1000

etcd (2.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
  * Standards-Version: 3.9.8.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 07 May 2016 20:33:55 +1000

etcd (2.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
  * control: drop Built-Using from -dev package.
  * Build-Depends:
    = golang-github-boltdb-bolt-dev (>= 1.2.0~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 25 Apr 2016 14:46:05 +1000

etcd (2.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
  * Removed obsolete "rakyll2cheggaaa.patch".
  * Standards-Version: 3.9.7.
  * Fix "readlink" invocation in the init.d script.
  * rules: correction to build with gogoprotobuf 0.2.
  * Build-Depends:
    - golang-etcd-dev | golang-github-coreos-go-etcd-dev
    + golang-github-bgentry-speakeasy-dev
    + golang-github-codegangsta-cli-dev (>= 0.0~git20151221~)
    + golang-github-coreos-gexpect-dev
    + golang-github-gogo-protobuf-dev (>= 0.2~)
    + gogoprotobuf
    + golang-github-mattn-go-runewidth-dev
    + golang-github-olekukonko-tablewriter-dev
    + golang-github-xiang90-probing-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 Apr 2016 12:40:12 +1000
