=== debian/control ===
--- 
+++ 
@@ -1,39 +1,43 @@
 Source: etcd
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9) ,dh-golang (>= 1.6) ,dh-systemd
     ,golang-go
     ,golang-clockwork-dev | golang-github-jonboulle-clockwork-dev
-    ,golang-codegangsta-cli-dev | golang-github-codegangsta-cli-dev
+    ,golang-github-codegangsta-cli-dev (>= 0.0~git20151221~)
     ,golang-context-dev | golang-github-gorilla-context-dev
     ,golang-coreos-log-dev | golang-github-coreos-go-log-dev
-    ,golang-etcd-dev | golang-github-coreos-go-etcd-dev
     ,golang-github-akrennmair-gopcap-dev
     ,golang-github-beorn7-perks-dev
-    ,golang-github-boltdb-bolt-dev
+    ,golang-github-bgentry-speakeasy-dev
+    ,golang-github-boltdb-bolt-dev (>= 1.2.0~)
 #    ,golang-github-bradfitz-http2-dev
-    ,golang-pb-dev | golang-github-cheggaaa-pb-dev
+    ,golang-github-cheggaaa-pb-dev
+    ,golang-github-coreos-gexpect-dev
     ,golang-github-coreos-go-systemd-dev
     ,golang-github-coreos-pkg-dev
 #    ,golang-github-cpuguy83-go-md2man-dev
     ,golang-github-google-btree-dev
     ,golang-github-gorilla-mux-dev | golang-mux-dev
     ,golang-github-kballard-go-shellquote-dev
+    ,golang-github-mattn-go-runewidth-dev
+    ,golang-github-olekukonko-tablewriter-dev
     ,golang-github-russross-blackfriday-dev
     ,golang-github-shurcool-sanitized-anchor-name-dev
     ,golang-github-spacejam-loghisto-dev
 #    ,golang-github-spf13-cobra-dev
 #    ,golang-github-spf13-pflag-dev
     ,golang-github-ugorji-go-codec-dev (>= 0.0~git20151112~)
+    ,golang-github-xiang90-probing-dev
     ,golang-glog-dev | golang-github-golang-glog-dev
     ,golang-go-semver-dev | golang-github-coreos-go-semver-dev
     ,golang-go.crypto-dev | golang-golang-x-go.crypto-dev
     ,golang-go.tools
-    ,golang-gogoprotobuf-dev (>= 0.0~git20150828~) | golang-github-gogo-protobuf-dev (>= 0.0~git20150828~)
+    ,golang-github-gogo-protobuf-dev (>= 0.2~)
+        ,gogoprotobuf
     ,golang-golang-x-net-dev
 #    ,golang-golang-x-oauth2-dev
     ,golang-golang-x-sys-dev
@@ -49,9 +53,9 @@
     ,golang-toml-dev | golang-github-burntsushi-toml-dev
     ,libprotobuf-dev
     ,protobuf-compiler
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/etcd.git
-Vcs-Git: https://anonscm.debian.org/pkg-go/packages/etcd.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/etcd.git
 Homepage: https://github.com/coreos/etcd
 
 Package: etcd
@@ -78,30 +82,35 @@
 Depends: ${misc:Depends}
     ,golang-go
     ,golang-clockwork-dev | golang-github-jonboulle-clockwork-dev
-    ,golang-codegangsta-cli-dev | golang-github-codegangsta-cli-dev
+    ,golang-github-codegangsta-cli-dev (>= 0.0~git20151221~)
     ,golang-context-dev | golang-github-gorilla-context-dev
     ,golang-coreos-log-dev | golang-github-coreos-go-log-dev
-    ,golang-etcd-dev | golang-github-coreos-go-etcd-dev
     ,golang-github-akrennmair-gopcap-dev
     ,golang-github-beorn7-perks-dev
-    ,golang-github-boltdb-bolt-dev
+    ,golang-github-bgentry-speakeasy-dev
+    ,golang-github-boltdb-bolt-dev (>= 1.2.0~)
 #    ,golang-github-bradfitz-http2-dev
-    ,golang-pb-dev | golang-github-cheggaaa-pb-dev
+    ,golang-github-cheggaaa-pb-dev
+    ,golang-github-coreos-gexpect-dev
     ,golang-github-coreos-go-systemd-dev
     ,golang-github-coreos-pkg-dev
 #    ,golang-github-cpuguy83-go-md2man-dev
     ,golang-github-google-btree-dev
     ,golang-github-gorilla-mux-dev | golang-mux-dev
+    ,golang-github-kballard-go-shellquote-dev
+    ,golang-github-mattn-go-runewidth-dev
+    ,golang-github-olekukonko-tablewriter-dev
     ,golang-github-russross-blackfriday-dev
     ,golang-github-shurcool-sanitized-anchor-name-dev
 #    ,golang-github-spf13-cobra-dev
 #    ,golang-github-spf13-pflag-dev
     ,golang-github-ugorji-go-codec-dev (>= 0.0~git20151112~)
+    ,golang-github-xiang90-probing-dev
     ,golang-glog-dev | golang-github-golang-glog-dev
     ,golang-go-semver-dev | golang-github-coreos-go-semver-dev
     ,golang-go.crypto-dev | golang-golang-x-go.crypto-dev
     ,golang-go.tools
-    ,golang-gogoprotobuf-dev (>= 0.0~git20150828~) | golang-github-gogo-protobuf-dev (>= 0.0~git20150828~)
+    ,golang-github-gogo-protobuf-dev (>= 0.2~)
     ,golang-golang-x-net-dev
 #    ,golang-golang-x-oauth2-dev
     ,golang-golang-x-sys-dev
@@ -115,7 +124,6 @@
     ,golang-protobuf-extensions-dev | golang-github-matttproud-golang-protobuf-extensions-dev
     ,golang-github-stretchr-testify-dev
     ,golang-toml-dev | golang-github-burntsushi-toml-dev
-Built-Using: ${misc:Built-Using}
 Description: highly-available key value store -- source
  A highly-available key value store for shared configuration and service
  discovery. etcd is inspired by zookeeper and doozer, with a focus on:
