=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 export DH_OPTIONS
 export DH_GOPKG := github.com/coreos/etcd
-export DH_GOLANG_EXCLUDES := github.com/coreos/etcd/Godeps etcdctlv3 tools/v3benchmark
+export DH_GOLANG_EXCLUDES := github.com/coreos/etcd/Godeps etcdctlv3 tools/v3benchmark tools/benchmark clientv3 contrib integration tools
 
 %:
 	dh $@ --buildsystem=golang --with=golang,systemd --parallel
@@ -19,6 +19,7 @@
 $(PB_GO_FILES):
 	grep -Pq "syntax\s*=\s*\"proto3\"" $(@:.pb.go=.proto) \
         || protoc -I/usr/share/gocode/src/github.com/gogo/protobuf -I/usr/include -I$(dir $@) --gogo_out=$(dir $@) $(@:.pb.go=.proto)
+	perl -pi -E 's{import _ "gogoproto"}{}g;' "$@"
 
 override_dh_auto_configure: $(PB_GO_FILES)
 	dh_auto_configure
