## etcd 2.3.7+dfsg

=== debian/changelog ===
etcd (2.3.7+dfsg-5) unstable; urgency=medium

  [ Team upload ]
  * Regenerate pb.go files with gogo-protobuf v0.3 (Closes: #835750)
  * Patch to fix SdNotify() API change in coreos-go-systemd package.

 -- Tim Potter <tpot@hpe.com>  Wed, 05 Oct 2016 17:18:46 +1100

etcd (2.3.7+dfsg-4) unstable; urgency=medium

  * New patch to disable TestTransportErrorc (Closes: #831789).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 20 Jul 2016 09:51:34 +1000

etcd (2.3.7+dfsg-3) unstable; urgency=medium

  * New patch to disable "TestLessorRevoke" test.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 14 Jul 2016 23:25:09 +1000

etcd (2.3.7+dfsg-2) unstable; urgency=medium

  * Tests: disabled "TestWaitTime" test due to failure on [ppc64el].
  * Renamed "cheggaaa-pb-dev" to "cheggaaa-pb.v1-dev" (Closes: #829048).
    Also commented currently unused package. Thanks, Peter Colberg.
  * (Build-)Depends: removed obsolete -clockwork-dev alternative
    (Closes: #830388).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Jul 2016 08:52:59 +1000

etcd (2.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release [June 2016].
  * Build-Depends += "curl".
  * Disabled failing tests; don't ignore test failures any more.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 27 Jun 2016 14:19:51 +1000
