=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
-           Dmitry Smirnov <onlyjob@debian.org>
+           Dmitry Smirnov <onlyjob@debian.org>,
+           Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9) ,dh-golang (>= 1.6) ,dh-systemd
     ,golang-go
-    ,golang-clockwork-dev | golang-github-jonboulle-clockwork-dev
+    ,golang-github-jonboulle-clockwork-dev
     ,golang-github-codegangsta-cli-dev (>= 0.0~git20151221~)
     ,golang-context-dev | golang-github-gorilla-context-dev
     ,golang-coreos-log-dev | golang-github-coreos-go-log-dev
@@ -15,7 +16,7 @@
     ,golang-github-bgentry-speakeasy-dev
     ,golang-github-boltdb-bolt-dev (>= 1.2.0~)
 #    ,golang-github-bradfitz-http2-dev
-    ,golang-github-cheggaaa-pb-dev
+#    ,golang-gopkg-cheggaaa-pb.v1-dev
     ,golang-github-coreos-gexpect-dev
     ,golang-github-coreos-go-systemd-dev
     ,golang-github-coreos-pkg-dev
@@ -53,6 +54,8 @@
     ,golang-toml-dev | golang-github-burntsushi-toml-dev
     ,libprotobuf-dev
     ,protobuf-compiler
+# Tests:
+    ,curl
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/etcd.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/etcd.git
@@ -81,7 +84,7 @@
 Architecture: all
 Depends: ${misc:Depends}
     ,golang-go
-    ,golang-clockwork-dev | golang-github-jonboulle-clockwork-dev
+    ,golang-github-jonboulle-clockwork-dev
     ,golang-github-codegangsta-cli-dev (>= 0.0~git20151221~)
     ,golang-context-dev | golang-github-gorilla-context-dev
     ,golang-coreos-log-dev | golang-github-coreos-go-log-dev
@@ -90,7 +93,7 @@
     ,golang-github-bgentry-speakeasy-dev
     ,golang-github-boltdb-bolt-dev (>= 1.2.0~)
 #    ,golang-github-bradfitz-http2-dev
-    ,golang-github-cheggaaa-pb-dev
+#    ,golang-gopkg-cheggaaa-pb.v1-dev
     ,golang-github-coreos-gexpect-dev
     ,golang-github-coreos-go-systemd-dev
     ,golang-github-coreos-pkg-dev
