=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,10 @@
 
 export DH_OPTIONS
 export DH_GOPKG := github.com/coreos/etcd
-export DH_GOLANG_EXCLUDES := github.com/coreos/etcd/Godeps etcdctlv3 tools/v3benchmark tools/benchmark clientv3 contrib integration tools
+export DH_GOLANG_EXCLUDES := github.com/coreos/etcd/Godeps etcdctlv3 tools/v3benchmark tools/benchmark clientv3 contrib integration tools e2e raft/rafttest
 
 %:
-	dh $@ --buildsystem=golang --with=golang,systemd --parallel
+	dh $@ --buildsystem=golang --with=golang,systemd --parallel --builddirectory=_build
 
 override_dh_clean:
 	dh_clean
@@ -23,10 +23,13 @@
 
 override_dh_auto_configure: $(PB_GO_FILES)
 	dh_auto_configure
-	./debian/cleanup_third_party.sh
+	for I in $$(cat debian/third_party_exclude); do \
+            printf "Removing third party bundled $$I\n" ;\
+            sed -i "s,github.com/coreos/etcd/Godeps/_workspace/src/$I,$I," $$(find _build -type f -name "*.go") ;\
+        done
 
 override_dh_auto_test:
-	-dh_auto_test
+	GOMAXPROCS=2 PATH="$(CURDIR)/_build/bin:$$PATH" dh_auto_test
 
 override_dh_auto_clean:
 	dh_auto_clean
