## etcd 3.1.0

=== debian/changelog ===
etcd (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Change to use upstream source generated by dh-make-golang, and 
    remove antiquated package build system.
  * Update debian/copyright file for new major release.
  * Build-Depends:
      + golang-github-karlseguin-ccache-dev
      + golang-github-cockroachdb-cmux-dev
      + golang-github-urfave-cli-dev
      + golang-github-grpc-ecosystem-grpc-gateway-dev
      + golang-github-grpc-ecosystem-go-grpc-prometheus-dev
  * Add lsb-base as install dependency for binary package.
  * Remove bogus Build-Depends from -dev binary package.

 -- Tim Potter <tpot@hpe.com>  Thu, 09 Feb 2017 13:48:12 +1100
