=== debian/control ===
Source: etcd
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>,
           Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-bgentry-speakeasy-dev,
               golang-github-boltdb-bolt-dev,
               golang-github-cockroachdb-cmux-dev,
               golang-go-semver-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-coreos-pkg-dev,
               golang-github-dustin-go-humanize-dev,
               golang-github-ghodss-yaml-dev,
               golang-github-gogo-protobuf-dev,
               golang-goprotobuf-dev,
               golang-github-google-btree-dev,
               golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
               golang-github-grpc-ecosystem-grpc-gateway-dev,
               golang-github-jonboulle-clockwork-dev,
               golang-github-karlseguin-ccache-dev,
               golang-github-kr-pty-dev,
               golang-github-olekukonko-tablewriter-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-github-ugorji-go-codec-dev,
               golang-github-urfave-cli-dev,
               golang-github-xiang90-probing-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-time-dev,
               golang-google-grpc-dev,
               golang-gopkg-cheggaaa-pb.v1-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/etcd.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/etcd.git
Homepage: https://github.com/coreos/etcd

Package: etcd
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}, pipexec, lsb-base
Built-Using: ${misc:Built-Using}
Description: highly-available key value store -- daemon
 A highly-available key value store for shared configuration and service
 discovery. etcd is inspired by zookeeper and doozer, with a focus on:
 .
  * Simple: curl'able user facing API (HTTP+JSON)
  * Secure: optional SSL client cert authentication
  * Fast: benchmarked 1000s of writes/s per instance
  * Reliable: Properly distributed using Raft
 .
 Etcd uses the Raft consensus algorithm to manage a highly-available replicated
 log.
 .
 This package contains the server binaries.

Package: golang-etcd-server-dev
Provides: golang-github-coreos-etcd-dev
Architecture: all
Depends: ${misc:Depends},
         dh-golang,
         golang-any,
         golang-github-bgentry-speakeasy-dev,
         golang-github-boltdb-bolt-dev,
         golang-github-cockroachdb-cmux-dev,
         golang-go-semver-dev,
         golang-github-coreos-go-systemd-dev,
         golang-github-coreos-pkg-dev,
         golang-github-dustin-go-humanize-dev,
         golang-github-ghodss-yaml-dev,
         golang-github-gogo-protobuf-dev,
         golang-goprotobuf-dev,
         golang-github-google-btree-dev,
         golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
         golang-github-grpc-ecosystem-grpc-gateway-dev,
         golang-github-jonboulle-clockwork-dev,
         golang-github-karlseguin-ccache-dev,
         golang-github-kr-pty-dev,
         golang-github-olekukonko-tablewriter-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-github-ugorji-go-codec-dev,
         golang-github-urfave-cli-dev,
         golang-github-xiang90-probing-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-time-dev,
         golang-google-grpc-dev,
         golang-gopkg-cheggaaa-pb.v1-dev
Description: highly-available key value store -- source
 A highly-available key value store for shared configuration and service
 discovery. etcd is inspired by zookeeper and doozer, with a focus on:
 .
  * Simple: curl'able user facing API (HTTP+JSON)
  * Secure: optional SSL client cert authentication
  * Fast: benchmarked 1000s of writes/s per instance
  * Reliable: Properly distributed using Raft
 .
 Etcd uses the Raft consensus algorithm to manage a highly-available replicated
 log.
 .
 This package contains the source.
