=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := github.com/coreos/etcd

%:
	dh $@ --buildsystem=golang --with=golang,systemd --parallel

override_dh_auto_test:
	-dh_auto_test
