## etcd 3.1.8+dfsg

=== debian/changelog ===
etcd (3.1.8+dfsg-2) unstable; urgency=medium

  * Fix upgrade problem caused by client/server package split. Thanks 
    to Olafur St. Arnarsson for the patch. (Closes #863976)

 -- Tim Potter <tpot@hpe.com>  Mon, 05 Jun 2017 09:03:52 +1000

etcd (3.1.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Tighten B-D on golang-github-coreos-pkg-dev to build in stretch.
    (Closes: #858241)
  * Change section from "devel" to "net. (Closes: #840681)
  * Separate into client and server packages. (Closes: #815453)

 -- Tim Potter <tpot@hpe.com>  Wed, 24 May 2017 10:59:25 +1000

etcd (3.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Tim Potter <tpot@hpe.com>  Fri, 24 Mar 2017 11:52:26 +1100

etcd (3.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Suppress binary-without-manpage Lintian warnings.

 -- Tim Potter <tpot@hpe.com>  Tue, 21 Mar 2017 09:43:07 +1100

etcd (3.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Tim Potter <tpot@hpe.com>  Wed, 08 Mar 2017 15:06:16 +1100

etcd (3.1.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #846542)
  * Fix test suite failures in Debian build environment and
    ensure no test junk is accidentally mispackaged. (Closes: #855876)
  * Fix various Lintian problems.

 -- Tim Potter <tpot@hpe.com>  Fri, 03 Mar 2017 07:11:16 +1100

etcd (3.1.1+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Tim Potter <tpot@hpe.com>  Mon, 20 Feb 2017 15:27:52 +1100
