=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: etcd
-Section: devel
+Section: net
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
@@ -8,12 +8,13 @@
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any,
+	       curl,
                golang-github-bgentry-speakeasy-dev,
                golang-github-boltdb-bolt-dev,
                golang-github-cockroachdb-cmux-dev,
                golang-go-semver-dev,
                golang-github-coreos-go-systemd-dev,
-               golang-github-coreos-pkg-dev,
+               golang-github-coreos-pkg-dev (>= 3~),
                golang-github-dustin-go-humanize-dev,
                golang-github-ghodss-yaml-dev,
                golang-github-gogo-protobuf-dev,
@@ -43,9 +44,22 @@
 Homepage: https://github.com/coreos/etcd
 
 Package: etcd
+Section: oldlibs
+Architecture: all
+Depends: ${misc:Depends}, etcd-server, etcd-client
+Built-Using: ${misc:Built-Using}
+Description: Transitional package for etcd-client and etcd-server
+ This is a transitional package to ease upgrades for splitting the
+ etcd package into a separate client and server piece. It can be
+ safely removed.
+
+Package: etcd-server
 Architecture: any
 Depends: adduser, ${misc:Depends}, ${shlibs:Depends}, pipexec, lsb-base
+Suggests: etcd-client
 Built-Using: ${misc:Built-Using}
+Replaces: etcd (<< 3.1.8+dfsg-1)
+Breaks: etcd (<< 3.1.8+dfsg-1)
 Description: highly-available key value store -- daemon
  A highly-available key value store for shared configuration and service
  discovery. etcd is inspired by zookeeper and doozer, with a focus on:
@@ -59,6 +73,26 @@
  log.
  .
  This package contains the server binaries.
+
+Package: etcd-client
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Built-Using: ${misc:Built-Using}
+Replaces: etcd (<< 3.1.8+dfsg-1)
+Breaks: etcd (<< 3.1.8+dfsg-1)
+Description: highly-available key value store -- client
+ A highly-available key value store for shared configuration and service
+ discovery. etcd is inspired by zookeeper and doozer, with a focus on:
+ .
+  * Simple: curl'able user facing API (HTTP+JSON)
+  * Secure: optional SSL client cert authentication
+  * Fast: benchmarked 1000s of writes/s per instance
+  * Reliable: Properly distributed using Raft
+ .
+ Etcd uses the Raft consensus algorithm to manage a highly-available replicated
+ log.
+ .
+ This package contains the client binaries.
 
 Package: golang-etcd-server-dev
 Provides: golang-github-coreos-etcd-dev
