=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := github.com/coreos/etcd

%:
	dh $@ --buildsystem=golang --with=golang,systemd --parallel --builddirectory=_build

override_dh_auto_test:
	dh_auto_test -- -run=Test

# Handle package name (etcd-server) != service name (etcd)
override_dh_installinit:
	dh_installinit -p etcd-server --name=etcd
